Sie sind zurzeit offline. Es wird auf die erneute Herstellung einer Internetverbindung gewartet.

Hotfixrollup 3146718 (Web Installer) für.NET Framework 4.5, 4.51 und 4.5.2 in Windows

Wichtig: Dieser Artikel wurde maschinell übersetzt und wird dann möglicherweise mithilfe des Community Translation Framework (CTF) von Mitgliedern unserer Microsoft Community nachbearbeitet. Weitere Informationen zu CTF finden Sie unter http://support.microsoft.com/gp/machine-translation-corrections/de.

Den englischen Originalartikel können Sie über folgenden Link abrufen: 3146718
Hotfixrollup 3146718, das für Microsoft.NET Framework 4.5.1, 4.5.2 und 4.5 beschrieben. Weitere Informationen zu Hotfix-Rollup behobene Probleme finden Sie in der "Dieses Hotfix-Rollup behobene Probleme"Abschnitt.

Web kann kleinem (kleiner als 1 MB), die automatisch ermittelt und für eine bestimmte Plattform Komponenten gedownloadet werden.
Lösung
Die folgenden Dateien stehen zum Herunterladen im Microsoft Download Center zur Verfügung:

HerunterladenDownloaden Sie das Web Installer-Paket jetzt.


Für weitere Informationen darüber, wie Sie Microsoft Support-Dateien herunterladen können, klicken Sie auf die folgende Artikelnummer, um den Artikel in der Microsoft Knowledge Base anzuzeigen:
119591 So erhalten Sie Microsoft Support-Dateien von Online-Diensten
Microsoft hat diese Datei auf Viren überprüft. Microsoft hat die zum Zeitpunkt der Veröffentlichung der Datei aktuell verfügbare Virenerkennungssoftware verwendet. Die Datei wird auf Servern mit erhöhter Sicherheit gespeichert, wodurch nicht autorisierten Änderungen an der Datei vorgebeugt wird.


Hinweis Überprüfen Sie den Wert des Release auf die installierte Version ermitteln, überprüfen Sie die Hotfix-Version. Kompatibel zu sein, können Sie für einen Wert überprüfen, die größer oder gleich dem Wert in der folgenden Tabelle aufgeführt.

Hotfix Rollup-Version Wert der DWORD-Version
Hotfixrollup 3146711 für.NET Framework 4.5 und höher380035
Weitere Informationen zum ermitteln die.NET Framework-Versionen finden Sie unter Vorgehensweise: ermitteln, welche.NET Framework-Versionen installiert sind.
Weitere Informationen

Voraussetzungen

Um diesen Hotfix anwenden zu können, müssen Sie.NET Framework 4.5.1, 4.5.2 oder 4.5 installiert.

Neustartanforderung

Sie müssen den Computer neu starten, nachdem Sie diesen Hotfix betroffenen Dateien verwendet wird. Wir empfehlen allen.NET Framework-basierte Anwendung schließen, bevor Sie diesen Hotfix anwenden.

Ersetzte Hotfixes

Dieses Hotfix-Paket ersetzt nicht zuvor veröffentlichten Hotfix-Paket.


Dieses Hotfix-Rollup behobene Probleme

ASP.NET Problem

Konflikte und schlechte Leistung auf System.Web.BufferAllocator Wenn Sie eine Anwendung auf Computern ausführen, die mehr als 32 Kerne.

Korrigieren: Der Konflikt wurde ausgeschlossen, entfernen Sie die globale Sperre in System.Web.BufferAllocator.

Windows Forms-Problem

Die Benutzeroberfläche Windows FormsPrintPreviewDialog wird langsam initialisiert, wenn Folgendes zutrifft:

  • Einer Netzwerk-Druckerfreigabe verwendet.
  • Benutzervoreinstellungen für diesen Drucker z. B. duplex, werden geändert.
Performance-Optimierung wurde für dieses Szenario hinzugefügt. Wenn Einstellungen für eine bestimmte Seite nicht geändert werden, werden Druckereinstellungen nicht angewendet (durch Zugriff auf die Druckerwarteschlange) für diese Seite. Wenn die Anwendung mit Dialogfeld ändert dieQueryPageSettings Ereignishandler werden Seitenansicht Generation für die betroffenen Seiten keine Leistungssteigerung, wenn OPT-in - Flag gesetzt ist.

Um diese Optimierung aktivieren, sollte der folgende Schlüssel Datei app.config je nach Version von.NET Framework hinzugefügt werden

.NET Framework 4.5.2:

<?xml version="1.0" encoding="utf-8"?><configuration>   < appSettings >       < add key="OptimizePrintPreview" value="true" />   < /appSettings ></configuration>
.NET Framework 4.6 oder höher:

<?xml version="1.0" encoding="utf-8"?><configuration> < runtime>   < AppContextSwitchOverrides value = "Switch.System.Drawing.Printing.OptimizePrintPreview=true" /> < /runtime></configuration>
Wenn eine Anwendung auf eine Version von.NET Framework ausführen kann, verwenden Sie beide Switches in derselben Datei.

Kündigen, entfernen Sie den Schalter oder Werte auffalsefestgelegt.

ClickOnce-Problem

ClickOnce wurde zur Unterstützung von TLS 1.1 und 1.2 aktualisiert. ClickOnce erkennt nun automatisch die TLS-Protokoll zur Laufzeit erforderlich ist. Es sind keine zusätzlichen Schritte in ClickOnce erforderlich, um diese Funktion zu aktivieren.

Hinweis ClickOnce TLS 1.0 unterstützt weiterhin für die vorhersehbare Zukunft zwar mehr als PCI-kompatible.​

Warnung: Dieser Artikel wurde automatisch übersetzt.

Eigenschaften

Artikelnummer: 3146718 – Letzte Überarbeitung: 04/14/2016 18:04:00 – Revision: 1.0

Microsoft .NET Framework 4.5.2, Microsoft .NET Framework 4.5.1, Microsoft .NET Framework 4.5, Windows 8.1, Windows RT 8.1, Windows 8, Windows RT, Windows Server 2012 Standard, Windows Server 2012 R2 Standard, Windows Server 2008 R2 Service Pack 1, Windows Server 2008 Service Pack 2, Windows 7 Service Pack 1, Windows Vista Service Pack 2

  • kbfix kbsurveynew kbexpertiseadvanced atdownload kbmt KB3146718 KbMtde
Feedback